Package org.apache.lucene.store

# Enum Class FileDataHint

java.lang.Object
java.lang.Enum<FileDataHint>
org.apache.lucene.store.FileDataHint

All Implemented Interfaces:
  `Serializable`, `Comparable<FileDataHint>`, `Constable`, `IOContext.FileOpenHint`

public enum FileDataHint extends Enum<FileDataHint> implements IOContext.FileOpenHint
Hints on the type of data stored in the file

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `KNN_VECTORS`
  The file contains vector data for kNN search
  `POSTINGS`
  The file contains postings data

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileDataHint`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileDataHint[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### POSTINGS

    public static final FileDataHint POSTINGS
    The file contains postings data

  - ### KNN_VECTORS

    public static final FileDataHint KNN_VECTORS
    The file contains vector data for kNN search

- ## Method Details

  - ### values

    public static FileDataHint[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileDataHint valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null